Feature # 861 (Rejected): === Website & Examples ===

avoid horizontal scrolling in code examples

18 Apr 2016 16:57 - wuttke

Status: Archived Start date: 17 Feb 2015

Priority: Low Due date:  

Assignee: wuttke % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint32   

Description

Some Python examples have some really long lines.

To read them, one needs to scroll horizontally.

But some examples are really long, so the scroll bar is far away from the line we want to look at.

This is quite inconvenient.

Subtasks:

Bug # 971: Drupal: horizontal scrollbar hides underscore character in long lines Resolved

History

#1 - 21 Apr 2016 16:57 - wuttke

two things to do:

decrease font size by one; determine maximum number of characters per line

rework examples to comply with above determined maximum number of characters per line

#2 - 30 May 2016 15:15 - wuttke

no clue how to change the font size -> http://drupal.stackexchange.com/questions/202612/

#3 - 02 Jun 2016 11:24 - wuttke

- Status changed from New to In Progress

Clue from stackexchange: syntaxhighlighter style can be overwritten in our theme's CSS: in

/www/apps/drupal/sites/all/themes/bornagain_theme/bornagain.css

I just added

.syntaxhighlighter { font-size: 12px !important; }

#4 - 03 Jun 2016 00:11 - wuttke

develop 4b2a125 provides tool dev-tools/code-tools/count-line-length.py

#5 - 14 Sep 2016 13:04 - wuttke

- Assignee set to wuttke

- Target version set to Sprint32
#6 - 14 Sep 2016 13:09 - wuttke

- Status changed from In Progress to Resolved

Resolved

by enforcing maximum line width of 85 through functional test PyExamplesLineLength, and

by migrating all or almost all examples from Drupal to LaTeX.

#7 - 11 Nov 2016 14:48 - herck

- Status changed from Resolved to Archived

Powered by TCPDF (www.tcpdf.org)

30 Oct 2020 2/2

http://www.tcpdf.org

